<template>
    <div>
        <v-dialog
            v-model="isOpen"
            max-width="600px"
        >
            <v-card>
                <v-card-title>
                    <span class="headline">Create new wallet</span>
                </v-card-title>
                <v-card-text>
                    <v-container>
                        <v-form
                            ref="form"
                            v-model="valid"
                        >
                            <v-row>
                                <v-col
                                    cols="12"
                                    sm="6"
                                    md="4"
                                >
                                    <v-text-field
                                        label="Wallet name"
                                        v-model="createModalForm.name"
                                        required
                                    ></v-text-field>
                                </v-col>
                            </v-row>
                        </v-form>
                    </v-container>
                    <!-- <small>*indicates required field</small> -->
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="isOpen = false"
                    >
                        Close
                    </v-btn>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="submitWalletHanlder()"
                    >
                        Submit
                    </v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </div>
</template>
<script>
export default {
    props: ['isOpen'],
    data: () => ({
        createModalForm: {
            name: ''
        },
        valid: true
    }),
    methods: {
        async submitWalletHanlder() {
            if (!this.createModalForm.name)
                return alert('Not all fields are filled')
            await this.$store.dispatch('createWallet', {
                ...this.createModalForm
            })
            this.$emit("close-modal")
        }
    }
}
</script>